/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.ide.view;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.views.properties.PropertySheetPage;
import org.maskat.ide.editors.MaskatEditor;
import org.maskat.ide.editors.MaskatTextEditor;

public class MaskatPropertySheetPage extends PropertySheetPage {

	public void selectionChanged(IWorkbenchPart part, ISelection selection) {
		if (part instanceof MaskatEditor) {
			MaskatEditor maskatEditor = (MaskatEditor) part;
			if (maskatEditor.editMode == MaskatEditor.SCREEN_EDIT_MODE) {
				super.selectionChanged(part, selection);
			}
		} else {
			if (part instanceof MaskatTextEditor) {
				return;// MaskatTextEditorであれば、何もしない。
			}
			// maskatエディター以外のものであれば、空白表示
			super.selectionChanged(part, StructuredSelection.EMPTY);
		}
	}

}